Name: rtcheck
Version: 0.7.6
Release: 4%{?dist}
License: GPL
Summary: Test the running system for real-time capabilities
Group: Development/Tools
Source0: rtcheck-0.7.6.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Patch01: bz516194-rtcheck_patch_v2_mrg.patch

Requires: redhat-lsb-core

%description
The rtcheck program is an application that tests the running system for
real-time capabilities. If it identifies all capabilities, it will return an
exit code of 0. If some capabilities are not present, it will return with a
non-zero exit code. This program can be used by real-time-enabled programs
to determine if the environment they are in is suitable for them to run
correctly.

%prep
rm -rf rtcheck
%setup -qn rtcheck
%patch01 -p1

%build
make %{?_smp_mflags}

%install
rm -Rf %{buildroot}

install -D --strip rtcheck %{buildroot}/%{_bindir}/rtcheck
install -D rtcheck.init %{buildroot}/%{_sysconfdir}/rc.d/init.d/rtcheck

%post
/sbin/chkconfig --add rtcheck

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del rtcheck
fi

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README
%defattr(0755,root,root,0755)
%{_bindir}/rtcheck
%config %{_sysconfdir}/rc.d/init.d/rtcheck

%changelog
* Tue Dec 02 2014 John Kacur <jkacur@redhat.com> - 0.7.6-4%{dist}
- made redhat-lsb-core a requires (1169737)

* Thu May 12 2011 Clark Williams <williams@redhat.com> - 0.7.6-3%{dist}
- updated %description section per BZ 661896

* Mon Jan 31 2011 Clark Williams <williams@redhat.com> - 0.7.6-2%{dist}
- initial MRG 2.0 build

* Wed Dec  1 2010 Clark Williams <williams@redhat.com> - 0.7.6-1%{?dist}
- updated source tarball from IBM

* Fri Aug 14 2009 Luis Claudio R. Goncalves <lgoncalv@redhat.com> - 0.7.4-3%{?dist}
- rtcheck fails to detect PREEMPT_RT on MRG RT V2 (Sripathi Kodi) [516194]

* Thu Oct 23 2008 Clark Williams <williams@redhat.com> - 0.7.4-2%{?dist}
- rebuilt using tarball supplied by IBM

* Tue Oct 21 2008 Clark Williams <williams@redhat.com> - 0.7.4-1%{?dist}
- updated rtcheck.c from IBM

* Thu Jul 19 2007 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.6.4-2%{?dist}
- Moved rtcheck from /sbin to /usr/bin, as requested on bz#248557

* Thu Jun  7 2007 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.6.4-1%{?dist}
- initial packaging
